from Products.CMFCore.utils import getToolByName
from Globals import DevelopmentMode

def productiondbtodev(portal):
    """ Converts a production Data.fs to a development Data.fs.
        LDAP and Squid are disabled, debug flags are enabled and
        vhm gets mapping for dev1. """

    if not DevelopmentMode:
        return "This script won't (for safety reasons) run with debug " + \
               "mode turned off."

    # disable ldap
    acl_users = portal.acl_users
    objids = acl_users.objectIds()
    objs = acl_users.objectValues()
    for index, obj in enumerate(objs):
        if obj.__class__.__name__ == 'LDAPMultiPlugin':
            # ldap object might be broken because we don't necessarily have
            # the ldap packages in our development environment, so we
            # can't use obj.getId() here because it can return 'broken'
            acl_users.manage_delObjects(objids[index])
               
    # disable caching if portal_squid and portal_cache_settings exist
    cacheTool = getToolByName(portal, 'portal_cache_settings', None)
    squidTool = getToolByName(portal, 'portal_squid', None)
    if cacheTool and squidTool:
        cacheTool.setCacheConfig('zserver')
        cacheTool.setSquidURLs([])
        cacheTool.setDomains([])

    # turn on debug mode in portal_css
    portal_css = getToolByName(portal, 'portal_css')
    portal_css.setDebugMode(True)

    return "The database is now setup for development"
